Skip to content
Registry StackDocsDevelopment (unreleased)

Receive a Casework review completion

POST
/v1/review-completions
curl --request POST \
--url https://example.com/v1/review-completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \
--header 'Registry-Recipient-Binding: example' \
--data '{ "completedAt": "2026-04-15T12:00:00Z", "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "requestId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "resultId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "type": "review.completed" }'

Available when a review authority configures a completion token and recipient binding.

Registry-Recipient-Binding
required
string
>= 1 characters <= 256 characters
Idempotency-Key
required
string format: uuid

Must equal eventId.

Media typeapplication/json
object
completedAt
required
string format: date-time
eventId
required
string format: uuid
requestId
required
string format: uuid
resultId
required
string format: uuid
type
required
Allowed value: review.completed

Completion accepted or already recorded.

The completion or idempotency binding is invalid.

The completion authority could not be authenticated.

The request is not application/json.

The completion could not be durably recorded.